Bug 1022520 - WebDAV - httpd.conf typo
WebDAV - httpd.conf typo
Product: JBoss Enterprise Web Server 2
Classification: JBoss
Component: httpd (Show other bugs)
All Windows
unspecified Severity high
: ---
: ---
Assigned To: Mladen Turk
Libor Fuka
Depends On:
  Show dependency treegraph
Reported: 2013-10-23 09:04 EDT by Libor Fuka
Modified: 2014-08-11 01:10 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Previously in JBoss Enterprise Web Server, the location of the WebDAV lock database was incorrect in the <filename>httpd.conf</filename> file used for the mod_dav_fs configuration on Solaris and Microsoft Windows. In JBoss Enterprise Web Server 2.1, the incorrect <command>DAVLockDB var/run/lockdb</command> part of the configuration is now corrected to <command>DAVLockDB run/lockdb</command> and now works as expected.
Story Points: ---
Clone Of:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Libor Fuka 2013-10-23 09:04:37 EDT
Description of problem:
httpd.conf typo for Solaris and Windows for mod_dav_fs configuration:
<IfModule mod_dav_fs.c>
    # Location of the WebDAV lock database.
    DAVLockDB var/run/lockdb
This should needs to be changed to:
<IfModule mod_dav_fs.c>
    # Location of the WebDAV lock database.
    DAVLockDB run/lockdb

Version-Release number of selected component (if applicable):
2.0.1 - Solaris and Windows

If its set to var/run/lockdb using mod_dav shows these errors in httpd error_log:
[Wed Oct 23 07:47:35 2013] [error] [client] Could not MOVE/COPY /davTest/hello.txt due to a failed precondition on the destination (e.g. locks).  [500, #0]
[Wed Oct 23 07:47:35 2013] [error] [client] The locks could not be queried for verification against a possible "If:" header.  [500, #0]
[Wed Oct 23 07:47:35 2013] [error] [client] Could not open the lock database.  [500, #400]
[Wed Oct 23 07:47:35 2013] [error] [client] (2)No such file or directory: Could not open property database.  [500, #1]
Comment 1 Jean-frederic Clere 2014-02-13 09:30:21 EST
http://pkgs.devel.redhat.com/cgit/rpms/httpd/tree/httpd.conf?h=jb-ep-6-xb just needs a simple fix.
Comment 2 Libor Fuka 2014-04-29 10:36:11 EDT
Please fix this bug in EWS 2.1.0 ER1. Its simple fix.
Comment 3 Mladen Turk 2014-04-29 10:51:40 EDT
Fixed in the dist git.
EWS 2.1.0 will have run/lockdb
Comment 4 Libor Fuka 2014-04-29 11:07:58 EDT
Note: This fix should be only for Solaris and Windows build not for RHEL.
Comment 5 Mladen Turk 2014-04-29 11:50:20 EDT
Sure. I understood that. Fix was applied only to the multiplatform branch.
Comment 6 Libor Fuka 2014-06-11 08:38:03 EDT
Verified in EWS 2.1.0-ER2

Note You need to log in before you can comment on or make changes to this bug.